commit:     450eb2fbddcdf7ae97933ff2c05e67861872091b
Author:     Henning Schild <henning <AT> hennsch <DOT> de>
AuthorDate: Sun May 25 08:51:26 2025 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Mon May 26 07:43:47 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=450eb2fb

www-apps/radicale: bump to 3.5.4

Signed-off-by: Henning Schild <henning <AT> hennsch.de>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 www-apps/radicale/Manifest              |  1 +
 www-apps/radicale/radicale-3.5.4.ebuild | 95 +++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/www-apps/radicale/Manifest b/www-apps/radicale/Manifest
index 0e6d86dfee8a..0f020a522af8 100644
--- a/www-apps/radicale/Manifest
+++ b/www-apps/radicale/Manifest
@@ -1,2 +1,3 @@
 DIST Radicale-3.5.2.gh.tar.gz 193014 BLAKE2B 
05c8d4875de9d16930ad92eba5f53f0e8eda65d82e87723cb4db074bb9a98d46cd64f4265c5fd5d312fea87dec0a675d5672a23755f02a8f59c18ba93569272f
 SHA512 
ebc3ab972107340d1bd2e5526f51bc87ce746a248278652a9b814e321d5c66fdacfd873ea3b7075c16a194c785f5eed64e2424496b5c0b47a7c53e91e61ed23a
 DIST Radicale-3.5.3.gh.tar.gz 194792 BLAKE2B 
7ce83576fcc2e92db8e2c28d62ce1c65ba0239ab58f59e0d15a4da70b267afca424d1745ca023bc11e2f8ca3547011991aa42487f7492db65f0a41651958f051
 SHA512 
24b7ae46457040a27877b63fc51aa2149d79f66f99a3ef39a0fc81f497212e00ded81ca7762d9b7dd3dad07776f47b21213f393ed5f05b41a134d9c710b3e291
+DIST Radicale-3.5.4.gh.tar.gz 196006 BLAKE2B 
1a7391f17b2dbd3e6afd7be3d55c666bf674f5730e2361913adf43e7ca16dfdd6480440e332622d972370e2e43893a44ba758ddaaaaefb77a8added65fde79a5
 SHA512 
49658ebee36e6a0c6e4c01e9ae63e131f614135b3f7505249e395ec867576e5565afe3f4838e8bd24f89f20d1c6d00fd227615903ea4a6845c0ae219516882a3

diff --git a/www-apps/radicale/radicale-3.5.4.ebuild 
b/www-apps/radicale/radicale-3.5.4.ebuild
new file mode 100644
index 000000000000..f1b4a62b1d47
--- /dev/null
+++ b/www-apps/radicale/radicale-3.5.4.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 optfeature systemd
+
+MY_P=${P^}
+DESCRIPTION="A simple CalDAV calendar server"
+HOMEPAGE="https://radicale.org/";
+SRC_URI="
+       https://github.com/Kozea/Radicale/archive/refs/tags/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+       >=acct-user/radicale-0-r2
+       acct-group/radicale
+       dev-python/defusedxml[${PYTHON_USEDEP}]
+       dev-python/passlib[${PYTHON_USEDEP}]
+       dev-python/vobject[${PYTHON_USEDEP}]
+       sys-apps/util-linux
+"
+
+BDEPEND="
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/waitress[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+RDIR=/var/lib/"${PN}"
+
+DOCS=( DOCUMENTATION.md CHANGELOG.md )
+
+python_test() {
+       epytest -o addopts= radicale/tests/
+}
+
+python_install_all() {
+       rm README* || die
+       # init file
+       newinitd "${FILESDIR}"/radicale-r4.init.d radicale
+       systemd_dounit "${FILESDIR}/${PN}.service"
+
+       # directories
+       keepdir "${RDIR}"
+       fperms 0750 "${RDIR}"
+       fowners "${PN}:${PN}" "${RDIR}"
+
+       # config file
+       insinto /etc/"${PN}"
+       doins config
+
+       # fcgi and wsgi files
+       exeinto /usr/share/"${PN}"
+       doexe radicale.wsgi
+
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       local _erdir="${EROOT}${RDIR}"
+
+       ewarn ""
+       ewarn "Since 3.5.0 the default [auth] type is \"denyall\". You need to"
+       ewarn "change your config if you used the deafult type so far!"
+       ewarn ""
+       einfo "A sample WSGI script has been put into ${EROOT}/usr/share/${PN}."
+       einfo "You will also find there an example FastCGI script."
+       if [[ $(stat --format="%U:%G:%a" "${_erdir}") != "${PN}:${PN}:750" ]]
+       then
+               ewarn ""
+               ewarn "Unsafe file permissions detected on ${_erdir}."
+               ewarn "This probably comes from an earlier version of this 
ebuild."
+               ewarn "To fix run:"
+               ewarn "#  \`chown -R ${PN}:${PN} ${_erdir}\`"
+               ewarn "#  \`chmod 0750 ${_erdir}\`"
+               ewarn "#  \`chmod -R o= ${_erdir}\`"
+       fi
+
+       optfeature "Publish changes to rabbitmq" dev-python/pika
+       optfeature "LDAP/LDAPS authentication" dev-python/ldap3 
dev-python/python-ldap
+       optfeature "bcrypt password hashing" dev-python/bcrypt
+}

Reply via email to